

Hanoi.dvi: Hanoi.tex
	latex Hanoi.tex
	latex Hanoi.tex

Hanoi.tex: prettyjava Hanoi.nw
	noweave -delay -filter prettyjava -index Hanoi.nw > Hanoi.tex

prettyjava: javafx.ft javafx.fg
	pretzel-it -n javafx prettyjava


clean:
	rm -f Hanoi.aux Hanoi.toc Hanoi.log Hanoi.tex 	\
		javafx.lex.* javafx.tab.* javafx.y javafx.l ptokdefs.h

clobber: clean
	rm -f prettyjava Hanoi.dvi




